Add IVR
Creates an IVR menu that callers navigate with their keypad, using recorded or text-to-speech prompts.
Parameters
Send as application/x-www-form-urlencoded.
typestringrequiredSelects the operation. Always
add_ivrfor this endpoint.tokenstringrequiredYour API token from Log in. See Authentication.
ID of the IVR.
Example3Name of the IVR.
ExampleMain menu
curl https://api.dcdial.com/api/ \ -d type=add_ivr \ -d token="$DCDIAL_TOKEN" \ -d ivr_id=3 \ -d ivr_name='Main menu'<?php$ch = curl_init('https://api.dcdial.com/api/');curl_setopt_array($ch, [ CURLOPT_POST => true, CURLOPT_RETURNTRANSFER => true, CURLOPT_POSTFIELDS => http_build_query([ 'type' => 'add_ivr', 'token' => getenv('DCDIAL_TOKEN'), 'ivr_id' => 3, 'ivr_name' => 'Main menu', ]),]);$result = json_decode(curl_exec($ch), true);curl_close($ch);
if (($result['response']['success'] ?? 0) != 1) { throw new RuntimeException($result['response']['error'] ?? 'Request failed');}const res = await fetch('https://api.dcdial.com/api/', { method: 'POST', body: new URLSearchParams({ type: "add_ivr", token: process.env.DCDIAL_TOKEN, ivr_id: "3", ivr_name: "Main menu", }),});const { response } = await res.json();if (response.success != 1) throw new Error(response.error);import osimport requests
r = requests.post( "https://api.dcdial.com/api/", data={ "type": "add_ivr", "token": os.environ["DCDIAL_TOKEN"], "ivr_id": 3, "ivr_name": "Main menu", }, timeout=30,)response = r.json()["response"]if str(response.get("success")) != "1": raise RuntimeError(response.get("error")){ "response": { "success": "1", "error": "" }}Try it